#include <avr/io.h>
#define F_CPU 16000000
#include <util/delay.h>
#include <avr\interrupt.h>
#include <stdlib.h>

int levels[4] = {PD7, PD6, PD5, PD4};

int leds1[8] = {PB0, PB1, PB2, PB3, PB4, PB5, PB6, PB7};
int leds2[8] = {PC0, PC1, PC2, PC3, PC4, PC5, PC6, PC7};

void lightLevel{
	int i;
	for(i = 0; i < 8; i++) {
		PORTB |= (1 << leds1[i]);
		PORTC |= (1 << leds2[i]);
	}

	for(i = 0; i < 4; i++) {
		PORTD |= (1 << levels[i]);
		_delay_ms(500);
		PORTD &= ~(1 << levels[i]);
	}
}


int main()
{
  DDRB = 0xFF;
  DDRC = 0xFF;
  
  int i;
  for(i = 0; i < 4; i++)
  	DDRD |= (1 << levels[i]);

  while(1) {
  	lightLevel();
	}
}